package de.intevation.gnv.artifacts.services.requestobjects;

import java.util.Collection;
import java.util.Iterator;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultFIS implements FIS {


    private String id = null;

    private Collection<Parameter> parameter = null;

    public DefaultFIS(String id){
        super();
        this.id = id;
    }
    /**
     * Constructor
     * @param id
     * @param parameter
     */
    public DefaultFIS(String id, Collection<Parameter> parameter) {
        this(id);
        this.parameter = parameter;
    }

    /**
     * @see de.intevation.gnv.artifacts.services.requestobjects.FIS#getID()
     */
    public String getID() {
        return this.id;
    }

    /**
     * @see de.intevation.gnv.artifacts.services.requestobjects.FIS#getParameter()
     */
    public Collection<Parameter> getParameter() {
        return this.parameter;
    }

    @Override
    public boolean equals(Object arg0) {
        boolean returnValue = false;
        if (arg0 instanceof FIS){
            returnValue = this.id.equals(((FIS)arg0).getID());
        }
        return returnValue;
    }
    /**
     * @see de.intevation.gnv.artifacts.services.requestobjects.FIS#addParameter(java.util.Collection)
     */
    public void addParameter(Collection<Parameter> parameter) {
        if (this.parameter != null){
            Iterator<Parameter> it = parameter.iterator();
            while (it.hasNext()){
                Parameter tmpParameter = it.next();
                if (!this.parameter.contains(tmpParameter)){
                    this.parameter.add(tmpParameter);
                }
            }
        }else{
            this.parameter = parameter;
        }
    }



}
